## ros-indigo-designator-integration-msgs 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(designator_integration_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation)

add_message_files(FILES
  Designator.msg
  KeyValuePair.msg
  DesignatorRequest.msg
  DesignatorResponse.msg
)

add_service_files(FILES
  DesignatorCommunication.srv
)

generate_messages(
  DEPENDENCIES geometry_msgs
)

catkin_package(
  CATKIN_DEPENDS geometry_msgs message_runtime
)

=== debian/changelog ===
ros-indigo-designator-integration-msgs (0.0.5-3trusty) trusty; urgency=high



 -- Jan Winkler <winkler@cs.uni-bremen.de>  Thu, 23 Apr 2015 22:00:00 -0000

ros-indigo-designator-integration-msgs (0.0.4-3trusty) trusty; urgency=high

  * Allowing to encode float arrays in designator message
  * Added 3 more value types to designator-integration-msgs.
  * Added support for designators of type humans to designator_integration_msgs.
  * Changed internal format of floating point numbers from 32 bit to 64 bit
  * Contributors: Daniel Beßler, Georg Bartels, Jan Winkler

 -- Jan Winkler <winkler@cs.uni-bremen.de>  Wed, 18 Mar 2015 23:00:00 -0000

ros-indigo-designator-integration-msgs (0.0.3-3trusty) trusty; urgency=high



 -- Jan Winkler <winkler@cs.uni-bremen.de>  Mon, 13 Oct 2014 22:00:00 -0000

ros-indigo-designator-integration-msgs (0.0.1-3trusty) trusty; urgency=high

  * Cleaned up CMakeLists.txt
  * Added package descriptions and fixed licenses where applicable
  * Added new types into message definition
  * Removed faulty feedback entry in the ROS service
  * Some more clean up of catkin make related files: message generation explicitly invokes all possible languages.
  * fixed CMakeLists.txt and package.xml dependencies.
  * Changed the `value_data' field to a much more meaningful char array rather than a float32 array
  * Added type `geometry_msgs::Pose'
  * Abstracted the type of requests and responses for deginator services
  * Added message types for communication via designators
  * Contributors: Jan Winkler, Jan-Hendrik Worch, Wiedemeyer

 -- Jan Winkler <winkler@cs.uni-bremen.de>  Thu, 15 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-designator-integration-msgs
Section: misc
Priority: extra
Maintainer: Jan Winkler <winkler@cs.uni-bremen.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-designator-integration-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime
Description: Message definitions for communicating serialized designators through ROS topics and services.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-designator-integration-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
